{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-197.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "kf5-kwidgetsaddons-5.115.0-1.fc40",
        "store-results-to": "/tmp/tmpgcyjrw8x/kf5-kwidgetsaddons-5.115.0-1.fc40.tar.xz",
        "time-created": "2024-07-03 13:48:55",
        "time-finished": "2024-07-03 13:52:05",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpgcyjrw8x/kf5-kwidgetsaddons-5.115.0-1.fc40.tar.xz' '--gcc-analyze' '/tmp/tmpgcyjrw8x/kf5-kwidgetsaddons-5.115.0-1.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "c806203c797ccd40354e12a83182f57e7b4f97e5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwidgetsaddons-5.115.0-build/kwidgetsaddons-5.115.0/src/kfontaction.cpp",
                    "line": 202,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'i' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwidgetsaddons-5.115.0-build/kwidgetsaddons-5.115.0/src/kfontaction.cpp",
                    "line": 202,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'i' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  200|       if (i > -1) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  201|           lowerName.truncate(i);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  202|->         i = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  203|           if (setCurrentAction(lowerName, Qt::CaseInsensitive)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  204|               return;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "b73a2d6e7e9ac6c23e6c3ef0e9d778b13d42cf42",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwidgetsaddons-5.115.0-build/kwidgetsaddons-5.115.0/src/kcharselect.cpp",
                    "line": 920,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'newline' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwidgetsaddons-5.115.0-build/kwidgetsaddons-5.115.0/src/kcharselect.cpp",
                    "line": 920,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'newline' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  918|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  919|               html += tr(\"Korean Pronunciation: \") + unihan[4];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  920|->             newline = false;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  921|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  922|           html += QLatin1String(\"</p>\");",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "a26d702581c2762054c00d7559042572e55c062a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwidgetsaddons-5.115.0-build/kwidgetsaddons-5.115.0/src/keditlistwidget.cpp",
                    "line": 127,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'w' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwidgetsaddons-5.115.0-build/kwidgetsaddons-5.115.0/src/keditlistwidget.cpp",
                    "line": 127,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'w' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  125|       if (servDownButton) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  126|           q->setTabOrder(w, servDownButton);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  127|->         w = servDownButton;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  128|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  129|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "a332694b736367998658eefd77d857637b25e1b5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwidgetsaddons-5.115.0-build/kwidgetsaddons-5.115.0/src/keditlistwidget.cpp",
                    "line": 475,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'block' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwidgetsaddons-5.115.0-build/kwidgetsaddons-5.115.0/src/keditlistwidget.cpp",
                    "line": 475,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'block' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  473|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  474|       if (!alreadyInList) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  475|->         block = d->listView->signalsBlocked();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  476|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  477|           if (currentIndex.isValid()) {",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
